Home
last modified time | relevance | path

Searched refs:RUSTC (Results 1 – 13 of 13) sorted by relevance

/linux/scripts/
H A Drust_is_available.sh66 if ! command -v "$RUSTC" >/dev/null; then
68 echo >&2 "*** Rust compiler '$RUSTC' could not be found."
85 LC_ALL=C "$RUSTC" --version 2>/dev/null
89 echo >&2 "*** Running '$RUSTC' to check the Rust compiler version failed with"
102 echo >&2 "*** Running '$RUSTC' to check the Rust compiler version did not return"
114 echo >&2 "*** Rust compiler '$RUSTC' is too old."
270 rustc_sysroot=$("$RUSTC" $KRUSTFLAGS --print sysroot)
H A DKconfig.include71 rustc-version := $(shell,$(srctree)/scripts/rustc-version.sh $(RUSTC))
72 rustc-llvm-version := $(shell,$(srctree)/scripts/rustc-llvm-version.sh $(RUSTC))
78 rustc-option = $(success,trap "rm -rf .tmp_$$" EXIT; mkdir .tmp_$$; $(RUSTC) $(1) --crate-type=rlib…
H A DMakefile.compiler88 rustc-option = $(call __rustc-option, $(RUSTC),\
/linux/rust/
H A DMakefile46 libmacros_name := $(shell MAKEFLAGS= $(RUSTC) --print file-names --crate-name macros --crate-type p…
49 libpin_init_internal_name := $(shell MAKEFLAGS= $(RUSTC) --print file-names --crate-name pin_init_i…
55 rustc_sysroot := $(shell MAKEFLAGS= $(RUSTC) $(rust_flags) --print sysroot)
56 rustc_host_target := $(shell $(RUSTC) --version --verbose | grep -F 'host: ' | cut -d' ' -f2)
/linux/Documentation/translations/zh_CN/kbuild/
H A Dkbuild.rst74 在编译内置代码时,传递给 $(RUSTC) 的额外选项。
78 用于 $(RUSTC) 的额外模块特定选项。
/linux/tools/build/
H A DMakefile.build82 $(RUSTC) $(rust_flags) \
86 quiet_cmd_rustc_a_rs = $(RUSTC) $(quiet_modtag) $@
/linux/tools/scripts/
H A DMakefile.include97 RUSTC ?= rustc
/linux/
H A DMakefile534 RUSTC = rustc macro
621 RUSTC_OR_CLIPPY_QUIET := RUSTC
622 RUSTC_OR_CLIPPY = $(RUSTC)
632 export RUSTC RUSTDOC RUSTFMT RUSTC_OR_CLIPPY_QUIET RUSTC_OR_CLIPPY BINDGEN
719 RUSTC_VERSION_TEXT = $(subst $(pound),,$(shell $(RUSTC) --version 2>/dev/null))
/linux/Documentation/kbuild/
H A Dkbuild.rst71 Additional options for $(RUSTC) when used to compile
76 Additional module specific options to use for $(RUSTC).
H A Dmakefiles.rst674 $(RUSTC) support functions
1187 $(RUSTC) compiler flags
1227 $(RUSTC) options specific for built-in
1233 Options for $(RUSTC) when building modules
1236 are used for $(RUSTC).
/linux/tools/build/feature/
H A DMakefile399 $(RUSTC) --version > /dev/null 2>&1
/linux/Documentation/rust/
H A Dquick-start.rst123 make LLVM=1 RUSTC=rustc-1.80 RUSTDOC=rustdoc-1.80 RUSTFMT=rustfmt-1.80 \
/linux/tools/perf/
H A DMakefile.perf277 export srctree OUTPUT RM CC CXX RUSTC LD AR CFLAGS CXXFLAGS RUST_FLAGS V BISON FLEX AWK